Get current user
GET
/api/v1/me
const url = 'https://api.deploybase.eu/api/v1/api/v1/me';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.deploybase.eu/api/v1/api/v1/me \ --header 'Authorization: <Authorization>'Returns information about the currently authenticated user
Authorizations
Section titled “ Authorizations ”Responses
Section titled “ Responses ”OK
Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
email
string
email_verified
boolean
membership_id
string
name
string
roles
Array<string>
team_id
string
team_role
string
user_id
string
Example generated
{ "data": { "email": "example", "email_verified": true, "membership_id": "example", "name": "example", "roles": [ "example" ], "team_id": "example", "team_role": "example", "user_id": "example" }, "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Unauthorized
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}